import { renderless, api } from '@opentinyvue/vue-renderless/cascader-node/vue';
import { defineComponent, $prefix, setup, $props } from '@opentinyvue/vue-common';
import { IconLoading, IconChevronRight } from '@opentinyvue/vue-icon';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

function _extends() {
  return _extends = Object.assign ? Object.assign.bind() : function(n) {
    for (var e = 1; e < arguments.length; e++) {
      var t = arguments[e];
      for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]);
    }
    return n;
  }, _extends.apply(null, arguments);
}
var classes = {
  "cascader-node__postfix": "text-sm fill-color-text-primary absolute top-1/2 right-4 -translate-y-2/4",
  "cascader-node__label_disabled": "max-w-[theme(spacing.80)] flex-1 whitespace-nowrap overflow-hidden text-ellipsis",
  // 正常状态
  "cascader-node": "relative flex items-center pt-0 pr-10 pb-0 pl-3 h-8 leading-8 outline-0 m-1 cursor-pointer rounded hover:bg-color-bg-4",
  "is-selectable": "",
  "in-active-path": "text-color-brand bg-color-fill-6 fill-color-brand",
  "in-checked-path": "text-color-brand bg-color-fill-6 fill-color-brand",
  "in-active": "text-color-brand bg-color-fill-6 ",
  "node-active": "fill-color-brand",
  // 禁用时
  "cascader-node_disabled": "cursor-not-allowed text-color-text-disabled rounded hover:bg-color-bg-1",
  "in-active_disabled": "text-color-text-disabled"
};
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    class: _vm.m(_vm.gcls("cascader-node"), _vm.gcls(!_vm.state.isDisabled && _vm.state.config.checkStrictly ? "is-selectable" : ""), _vm.gcls(!_vm.state.isDisabled && _vm.state.inActivePath ? "in-active-path" : ""), _vm.gcls(!_vm.state.isDisabled && _vm.state.inCheckedPath ? "in-checked-path" : ""), _vm.gcls(!_vm.state.isDisabled && _vm.state.isChecked ? "in-active" : ""), _vm.gcls(_vm.state.isDisabled ? "cascader-node_disabled" : ""), _vm.gcls(_vm.state.isDisabled ? "in-active_disabled" : "")),
    attrs: {
      "id": _vm.nodeId,
      "role": "menuitem",
      "data-tag": "tiny-cascader-node"
    },
    on: {
      "click": _vm.handleNodeClick
    }
  }, [_c("span", {
    class: [_vm.node ? _vm.gcls("cascader-node__label_disabled") : ""]
  }, [_vm._v(_vm._s(_vm.state.nodeLabel))]), _vm.node.loading ? _c("icon-loading", {
    class: _vm.gcls("cascader-node__postfix")
  }) : !_vm.state.isLeaf ? _c("icon-chevron-right", {
    class: _vm.m(_vm.gcls("cascader-node__postfix"), _vm.gcls(!_vm.state.isDisabled && _vm.state.inActivePath ? "node-active" : ""), _vm.gcls(!_vm.state.isDisabled && _vm.state.inCheckedPath ? "node-active" : ""), _vm.gcls(!_vm.state.isDisabled && _vm.state.isChecked ? "node-active" : ""))
  }, [_vm._v(">")]) : _vm._e()], 1);
};
var staticRenderFns = [];
var __vue2_script = defineComponent({
  name: $prefix + "CascaderNode",
  components: {
    IconLoading: IconLoading(),
    IconChevronRight: IconChevronRight()
  },
  inheritAttrs: false,
  emits: ["expand", "update:modelValue", "expand-change", "active-item-change", "change"],
  inject: ["panel"],
  props: _extends({}, $props, {
    node: {
      required: true
    },
    nodeId: String
  }),
  setup: function setup$1(props, context) {
    return setup({
      props,
      context,
      renderless,
      api,
      classes
    });
  }
});
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { mobileFirst as default };
